
Redmine - Defect #6191

Deletion of a main task deletes all subtasks

2010-08-22 18:55 - Ве Fio

Status: Closed Start date: 2010-08-22

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version:  

Description

Apparently cascading update/delete is active for tasks plus their subtasks.

That's probably not intended - especially due to the fact that the application doesn't state that fact anywhere (e.g. dialog upon

deletion). Also the views don't suggest such a "tight" binding of subtasks to their according parent-tasks.

Related issues:

Precedes Redmine - Defect #6562: Context-menu deletion of issues deletes all ... Closed 2010-10-03

Associated revisions

Revision 4105 - 2010-09-20 04:55 - Eric Davis

Updated issue delete confirmation when it has child issues. #6191

History

#1 - 2010-09-13 21:30 - Mischa The Evil

Confirmed on latest trunk. This should at least be mentioned upon deletion IMHO...

#2 - 2010-09-13 22:24 - Eric Davis

- Category set to Issues

- Target version set to 1.0.2

Agreed, lets add a message about that for now. Once I've finished cleaning up the REST API, I'd like to "finish" up subtasks.

#3 - 2010-09-20 04:55 - Eric Davis

- Status changed from New to Resolved

- Assignee set to Eric Davis

- % Done changed from 0 to 100

- Resolution set to Fixed

Updated the confirmation message when deleting an issue with children. I left the bulk delete message alone, it already prompts about multiple

issues. r4105

#4 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2
